Create Node
curl --request POST \
--url https://api.yertle.com/orgs/{org_id}/nodes \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "",
"tags": {},
"directories": [
"<string>"
],
"public_id": "<string>",
"commit_message": "<string>"
}
'import requests
url = "https://api.yertle.com/orgs/{org_id}/nodes"
payload = {
"title": "<string>",
"description": "",
"tags": {},
"directories": ["<string>"],
"public_id": "<string>",
"commit_message": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '',
tags: {},
directories: ['<string>'],
public_id: '<string>',
commit_message: '<string>'
})
};
fetch('https://api.yertle.com/orgs/{org_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"org_id": "<string>",
"public_id": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>",
"tags": {},
"directories": [
"<string>"
],
"num_parents": 123,
"num_children": 123,
"num_descendants": 0,
"num_ancestors": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Nodes
Create Node
Create a new node in an organization.
POST
/
orgs
/
{org_id}
/
nodes
Create Node
Headers
Path Parameters
Body
application/json
Request model for creating a new node.
Response
Successful Response
Response model for node data.
Node ID
Node title
Node description
Organization ID
Public identifier
Creator user ID
Creation timestamp
Creator email address
Node tags
Directory paths
How many parents contain this node
How many children this node contains
Total nodes reachable by walking down the tree
Total nodes reachable by walking up the tree
⌘I